aboutsummaryrefslogtreecommitdiffstats
path: root/gcc-4.9/maintainer-scripts/update_web_docs_libstdcxx_svn
diff options
context:
space:
mode:
authorBen Cheng <bccheng@google.com>2014-03-25 22:37:19 -0700
committerBen Cheng <bccheng@google.com>2014-03-25 22:37:19 -0700
commit1bc5aee63eb72b341f506ad058502cd0361f0d10 (patch)
treec607e8252f3405424ff15bc2d00aa38dadbb2518 /gcc-4.9/maintainer-scripts/update_web_docs_libstdcxx_svn
parent283a0bf58fcf333c58a2a92c3ebbc41fb9eb1fdb (diff)
downloadtoolchain_gcc-1bc5aee63eb72b341f506ad058502cd0361f0d10.tar.gz
toolchain_gcc-1bc5aee63eb72b341f506ad058502cd0361f0d10.tar.bz2
toolchain_gcc-1bc5aee63eb72b341f506ad058502cd0361f0d10.zip
Initial checkin of GCC 4.9.0 from trunk (r208799).
Change-Id: I48a3c08bb98542aa215912a75f03c0890e497dba
Diffstat (limited to 'gcc-4.9/maintainer-scripts/update_web_docs_libstdcxx_svn')
-rwxr-xr-xgcc-4.9/maintainer-scripts/update_web_docs_libstdcxx_svn51
1 files changed, 51 insertions, 0 deletions
diff --git a/gcc-4.9/maintainer-scripts/update_web_docs_libstdcxx_svn b/gcc-4.9/maintainer-scripts/update_web_docs_libstdcxx_svn
new file mode 100755
index 000000000..10d45f5c4
--- /dev/null
+++ b/gcc-4.9/maintainer-scripts/update_web_docs_libstdcxx_svn
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+
+# "sh update_web_docs_libstdcxx.sh"
+# Checks out a copy of the libstdc++-v3 "inner" documentation and puts
+# it in the onlinedocs area. For an initial description of "inner"
+# docs, see the thread starting with
+# http://gcc.gnu.org/ml/libstdc++/2000-11/msg00475.html
+#
+# Id: update_v3_web_docs.sh,v 1.4 2000/12/25 05:02:14 pedwards Exp
+#####################################################################
+
+SVNROOT=${SVNROOT:-"file:///svn/gcc"}
+GETTHIS='libstdc++-v3/doc/html'
+WWWDIR=/www/gcc/htdocs/onlinedocs/libstdc++
+#WWWDIR=/tmp/fake-onlinedocs-testing
+
+
+## No more changes should be needed. Ha, right, whatever.
+#####################################################################
+
+
+PATH=/usr/local/bin:$PATH
+export SVNROOT
+
+test -d $WWWDIR || /bin/mkdir $WWWDIR
+test -d $WWWDIR || { echo something is very wrong ; exit 1; }
+
+WORKDIR=/tmp/v3-doc-update.$$
+/bin/rm -rf $WORKDIR
+/bin/mkdir $WORKDIR
+cd $WORKDIR
+
+
+# checkout all the HTML files, get down into an interesting directory
+svn -q export $SVNROOT/trunk/$GETTHIS doc
+cd doc
+rm -f Makefile
+
+# copy the tree to the onlinedocs area, preserve directory structure
+#find . -depth -print | cpio -pdv $WWWDIR
+find . -depth -print | cpio -pd $WWWDIR 2>&1 | grep -v "newer or same age version exists"
+
+err=${PIPESTATUS[1]}
+if [ $err -gt 0 ]; then
+ printf "\nCopying failed with error code %d.\n" $err
+fi
+
+cd /
+/bin/rm -rf $WORKDIR
+